package org.jeecg.modules.repair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.device.model.TimesStatistics;
import org.jeecg.modules.plan.modal.PlanStatistics;
import org.jeecg.modules.repair.entity.BuRepairRecord;
import org.jeecg.modules.repair.model.YearFaultModel;
import org.jeecg.modules.sensor.model.TableNameStatistics;

import java.util.List;

/**
 * @Description: 维修记录表
 * @Author: jeecg-boot
 * @Date:   2020-12-22
 * @Version: V1.0
 */
public interface IBuRepairRecordService extends IService<BuRepairRecord> {
//    public List<YearFaultModel> getFaultNumberByYear(String startYear, String endYear);
    // 年月工班筛选故障数据
    public List<PlanStatistics> yearStatistics();
    public List<PlanStatistics> monthStatistics(String queryYear);
    public List<PlanStatistics> workStatistics();
    // 故障类型筛选故障数据
    public List<PlanStatistics> gradeStatistics();
    public List<PlanStatistics> systemStatistics();
    public List<PlanStatistics> typeStatistics();
    // 首页各设备故障数据统计
    public List<YearFaultModel> getDeviceRepair(List<String> result);
    public List<TableNameStatistics> getDeviceName();
    // 当前设备最后一次故障详细信息
    public BuRepairRecord getEndTimeByDeviceId(String deviceId);

    public int getTimesById(String deviceId);

    public List<TimesStatistics> getTimesByDeviceId(String deviceId);



}
